import SR6BaseItemData from '../base-item-data.mjs';

export default class SR6RitualItemData extends SR6BaseItemData {
    static defineSchema() {
        const fields = foundry.data.fields;
        return {
            ...super.defineSchema(),
            threshold: new fields.NumberField({ initial: 5 }),
            features: new fields.SchemaField({
                anchored:      new fields.BooleanField({ initial: false }),
                material_link: new fields.BooleanField({ initial: false }),
                minion:        new fields.BooleanField({ initial: false }),
                spell:         new fields.BooleanField({ initial: false }),
                spotter:       new fields.BooleanField({ initial: false })
            })
        };
    }
}